%define prefix %{_prefix}
%define version 3.21
%define release 3mdk

Summary:	Video4Linux Stream Capture Viewer
Name:		xawtv
Version:	%{version}
Release:	%{release}
Source0:	%{name}_%{version}.tar.bz2
Source1:	xawtvrc-paris
Patch0:		xawtv_3.21-hidepointer.patch
Patch1:		xawtv_3.21-dpms.patch
Group:		Video
Copyright:	GPL
URL:		http://www.strusel007.de/linux/xawtv/
BuildRoot:	%{_tmppath}/%{name}-root
Buildrequires: libjpeg-devel, Xaw3d-devel, XFree86-devel, XFree86-static-libs

%package radio
Summary: radio
Group: Sound

%package misc
Summary: misc
Group: Video

%description
A collection tools for video4linux:
 * xawtv    - X11 TV application
 * fbtv     - console TV application
 * streamer - capture tool (images / movies)
 * v4lctl   - command line tool to control v4l devices

%description radio
This is a ncurses-based radio application

%description misc
This package has a few tools you might find useful.  They
have not to do very much to do with xawtv.  I've used/wrote
them for debugging:
 * propwatch   - monitors properties of X11 windows.  If you
                 want to know how to keep track of xawtv's
                 _XAWTV_STATION property, look at this.
 * dump-mixers - dump mixer settings to stdout
 * record      - console sound recorder.  Has a simple input
                 level meter which might be useful to trouble
                 shoot sound problems.
 * showriff    - display the structure of RIFF files (avi, wav).

%prep

%setup
%patch0 -p0 -b .hidden_mousepointer
%patch1 -p0 -b .dpms
%build
%configure --enable-xfree-ext --enable-xaw3d --enable-xvideo
make

%install
rm -fr $RPM_BUILD_ROOT
perl -pi -e 's!-o root -g root!!g' src/Makefile
perl -pi -e 's! \$\(R\)! !g' font/Makefile
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
%makeinstall ROOT="$RPM_BUILD_ROOT" FONTDIR=$RPM_BUILD_ROOT/%{prefix}/lib/X11/fonts/misc

(cd $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults; ln Xawtv Xawtv-color)

mkdir -p $RPM_BUILD_ROOT{%{_iconsdir}/{large,mini},%{_menudir}}
cat > $RPM_BUILD_ROOT%{_menudir}/xawtv <<EOF
?package(xawtv): command="xawtv" icon="video_section.xpm" section="Multimedia/Video" \
title="XawTV" longtitle="The X11 Video4Linux Stream Capture Viewer" \
needs="x11"
EOF
#mkdir $RPM_BUILD_ROOT/etc/skel
#install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/skel/
cp %{SOURCE1} .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(4711,root,root) %{_bindir}/v4l-conf
%defattr(-,root,root)
%{_bindir}/alevtd
%{_bindir}/fbtv
%{_bindir}/rootv
%{_bindir}/scantv
%{_bindir}/streamer
%{_bindir}/xawtv-remote
%{_bindir}/xawtv
%{_bindir}/v4lctl
%{_bindir}/webcam
%{_mandir}/man1/alevtd.1.bz2
%{_mandir}/man1/fbtv.1.bz2
%{_mandir}/man1/rootv.1.bz2
%{_mandir}/man1/showriff.1.bz2
%{_mandir}/man1/v4l-conf.1.bz2
%{_mandir}/man1/v4lctl.1.bz2
%{_mandir}/man1/xawtv-remote.1.bz2
%{_mandir}/man1/xawtv.1.bz2
%{_mandir}/man1/webcam.1.bz2
/usr/X11R6/lib/X11/app-defaults/Xawtv*
%{_libdir}/X11/fonts/misc/
%{_menudir}/xawtv
%doc README Changes COPYING Programming-FAQ Trouble-Shooting Sound-FAQ
%doc README.lirc README.bttv UPDATE_TO_v3.0
%doc contrib/dot.lircrc contrib/frequencies* xawtvrc-paris

%files radio
%defattr(-,root,root)
%{_bindir}/radio
%{_mandir}/man1/radio.1.bz2

%files misc
%defattr(-,root,root)
%{_bindir}/dump-mixers
%{_bindir}/propwatch
%{_bindir}/record
%{_bindir}/showriff
/%{_mandir}/man1/propwatch.1.bz2
%doc tools/README

%post
cd %{_prefix}/X11R6/lib/X11/fonts/misc
mkfontdir
xset fp rehash || true
%{update_menus}


%postun
%{clean_menus}

%changelog

* Tue Oct 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.21-3mdk
- enable DPMS
- fix buildrequires
- disable mouse pointer on v4l buffer
- provide example config file for Paris inhabitants
- add alevtd, rootv, scantv and webcam

* Mon Sep 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.21-2mdk
- fix menu entry

* Wed Sep 13 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.21-1mdk
- new release

* Wed Sep 13 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.20-3mdk
- really fix ressources (i know, i've sucked :-( )
- add a menu entry

* Tue Sep 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.20-2mdk
- fix ressources
- spec file is now shrt-crct compliant :-)

* Wed Sep 06 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.20-1mdk
- new release

* Wed Aug 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.19-1mdk
- new release

* Tue Aug 22 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.18-1mdk
- fix url
- new release
- compile for XF4 (if you load v4l in module section of /etc/X11/XFconfig-4,
  you can do color conversion and image scaling in hardware on g200/g400
  with hackkernel).

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.17-3mdk
- BM
- fix build as non-root

* Mon Jul 17 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.17-2mdk
- little spec cleaning

* Tue Jun 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.17-1mdk
- new release
- package chmouelization :
	* use %%{_mandir}, %%{_prefix}
	* use spechelper
	* use %%makeinstall, %%configure

* Mon Jun 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.16-1mdk
- new release (mainly a smaller SRPM)

* Thu Jun 08 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.15-1mdk
- new release

* Tue Apr 18 2000 J. Nick Koston <bdraco@darkorb.net> 3.12-1mdk
- Madrakeified

